Responder 
 
Avaliação do Tópico:
  • 0 Votos - 0 Média
  • 1
  • 2
  • 3
  • 4
  • 5
instalando JRE
21/12/2007, 20:53
Resposta: #1
instalando JRE
Olá pessoal,

Estou tentando rodar uma aplicação que precisa do plugin do JRE. Segui todas as instruções do site da sun, mas, o iceweasel não quer reconhecer o plugin. Instalei via apt-get. Ele ficou no seguinte caminho: /usr/lib/jvm/java-6-sun-1.6.0.00/jre/plugin/i386/ns7. Criei o link do arquivo libjavaplugin_oji.so para o diretório /usr/lib/firefox/plugin, exatamente como está no site da sun. Se alguem puder me ajudar eu agradeço.

valeu
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
21/12/2007, 22:16
Resposta: #2
 
Tente o seguinte,

Instale o pacote sun-java6-plugin:

Código:
aptitude sun-java5-plugin

OU

crie o link simbólico dentro da pasta /usr/lib/mozilla/plugins:

Código:
ln -s /usr/lib/jvm/java-6-sun-1.6.0.00/jre/plugin/i386/ns7/libjavaplugin_oji.so   /usr/lib/mozilla/plugins/

[Imagem: debianuseruserbarsp1.png]
[Imagem: gnomeuserqj9.jpg]
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
23/12/2007, 11:17
Resposta: #3
 
É isso aí...funcionou beleza...valeu meu irmão
Na verdade o link eu já tinha criado, faltava instalar o sun-java6-plugin

Obrigado.
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
03/01/2008, 15:57
Resposta: #4
 
pessoal eu tentei instalar o pacote com o comando
aptitude sun-java5-plugin mas, olha o que deu no terminal:
Comando desconhecido "sun-java6-plugin"
aptitude 0.4.4
Uso: aptitude [-S arquivo] [-u|-i]
aptitude [opções] <ação> ...
Ações (caso nenhuma seja especificada o aptitude entrará no modo interativo):

install - Instalar/atualizar pacotes
remove - Remover pacotes
purge - Remover pacotes e seus arquivos de configuração
hold - Manter pacotes na versão atual
unhold - Cancelar o comando hold para um pacote
markauto - Marcar pacotes como tendo sido automaticamente instalados
unmarkauto - Marcar pacotes como tendo sido manualmente instalados
forbid-version - Proibir o aptitude de atualizar para uma versão específica do pacote.
update - Fazer o download das listas de pacotes novos/atualizados
upgrade - Executar uma atualização segura
dist-upgrade - Executar uma atualização, possivelmente instalando e removendo pacotes
forget-new - Esquecer quais pacotes são "novos"
search - Procurar por um pacote por nome e/ou expressão
show - Exibe informações detalhadas sobre um pacote
clean - Apagar arquivos de pacotes baixados
autoclean - Apagar arquivos de pacotes baixados antigos
changelog - Visualiza o log de mudanças de um pacote
download - Fazer o download do arquivo .deb de um pacote
reinstall - Faz o download e (possivelmente) reinstala um pacote já instalado

Opções:
-h Este texto de ajuda
-s Simular ações mas não executá-las de verdade.
-d Somente fazer o download de pacotes, não instalar ou remover nada.
-P Sempre pedir por confirmação ou ações
-y Assumir que a resposta para perguntas sim/não simples seja 'sim' -F formato Especificar um formato para exibição dos resultados da busca; veja o manual
-O ordem Especificar como resultados de buscas devem ser ordenados;
consulte o manual
-w largura Especificar a largura de exibição para formatar resultados de busca
-f Tentar agressivamente corrigir pacotes quebrados.
-V Exibir quais versões de pacotes serão instaladas.
-D Exibir as dependências dos pacotes modificados automaticamente.
-Z Exibir a mudança no tamanho instalado de cada pacote.
-v Exibir informação extra. (pode ser fornecido múltiplas vezes)
-t [release] Definir de qual distribuição os pacotes devem ser instalados
-q Em modo linha de comando, suprime os indicadores de progresso incremental.
-o chave=valor Definir diretamente a opção de configuração chamada 'chave'
--with(out)-recommends Especificar se as recomendaçãoes devem ou não ser
tratadas como dependências fortes
-S arq: Ler a informação de estado estendido do aptitude de arq.
-u Fazer download de novas lista de pacotes ao iniciar.
-i Executar uma ação de instalação ao iniciar.

Este aptitude não contém Poderes de Super Vaca.
debian-jeiel:/home/jeiel#

Seja livre!
Use Linux!
Dual Boot Debian Etch x RWindows
em breve o rwindows se aposenta assim como Bill Gates!
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
03/01/2008, 22:50
Resposta: #5
 
o comando correto para instalar algum software através do aptitude é:
Código:
aptitude install nome-do-software

para instalar o plugin do java:

Código:
aptitude install sun-java5-plugin

Pode também dar uma olhada nesse artigo do wiki do fórum:

http://wiki.forumdebian.com.br/index.ph ... lugin_JAVA

[Imagem: debianuseruserbarsp1.png]
[Imagem: gnomeuserqj9.jpg]
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
05/01/2008, 08:55
Resposta: #6
 
elias valeu pela ajuda. aprender a aprender tbm é necessario!
baixei umas apostilas interessantes sobre comandos e do sistema em geral e vou dar uma estudada pra tbm ajudar e ensinar minha esposa tbm pra poder dar adeus ao rwindows, que ainda teima em permanecer no meu pc!!
agora td certo com o java.
feliz 2008, Deus te abençoe!

Seja livre!
Use Linux!
Dual Boot Debian Etch x RWindows
em breve o rwindows se aposenta assim como Bill Gates!
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
Responder 


Ir ao Fórum:


Usuários visualizando este tópico: 1 Visitantes

Entre em Contato | Fórum Debian | Voltar ao Topo | Voltar ao Conteúdo | Modo Leve (Arquivo) | Feeds RSS